summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2020-11-14 21:20:07 +0100
committerDavid Seifert <soap@gentoo.org>2020-11-14 21:20:07 +0100
commita907766f7ef3ff0b473833b607c041a714b526a2 (patch)
tree359c12042bbb923cc5601e6b0372ecac7513b23f /sys-fabric/libipathverbs
parentsys-fabric/libibumad: disable static libs (diff)
downloadgentoo-a907766f7ef3ff0b473833b607c041a714b526a2.tar.gz
gentoo-a907766f7ef3ff0b473833b607c041a714b526a2.tar.bz2
gentoo-a907766f7ef3ff0b473833b607c041a714b526a2.zip
sys-fabric/libipathverbs: disable static libs
Closes: https://bugs.gentoo.org/725964 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-fabric/libipathverbs')
-rw-r--r--sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild b/sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild
index 7c3f102a195..fc983278b0a 100644
--- a/sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild
+++ b/sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -17,3 +17,12 @@ IUSE=""
DEPEND="sys-fabric/libibverbs:${SLOT}"
RDEPEND="${DEPEND}"
block_other_ofed_versions
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}